=== debian/changelog ===
docker-compose-v2 (2.24.6+ds1-0ubuntu1~22.04.1) jammy; urgency=medium

  * Backport version from Noble to Jammy (LP: #2040460).

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 12 Mar 2024 18:08:11 -0300

docker-compose-v2 (2.24.6+ds1-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * d/p/fix-build.patch: refresh against new upstream release.
  * Build with Go 1.21, recommended by upstream.
    - d/control: b-d on golang-1.21-go instead of golang-go.
    - d/rules: add Go 1.21 binary to the $PATH.
  * d/docker-compose-v2.docs: remove NOTICE file from a vendorized dependency
    that was removed.
  * d/copyright: remove superfluous file patterns.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 19 Feb 2024 17:56:31 -0300

docker-compose-v2 (2.20.2+ds1-0ubuntu1~22.04.1) jammy; urgency=medium

  * Backport version from Mantic to Jammy (LP: #1968035, #2036350).
    - Build with Go 1.20.
      + d/control: b-d on golang-1.20-go.
      + d/rules: add Go 1.20 to $PATH.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Sun, 17 Sep 2023 09:26:22 -0300
