=== debian/changelog ===
docker-compose-v2 (2.27.1+ds1-0ubuntu1~24.04.1) noble; urgency=medium

  * Backport from oracular to noble. (LP: #2040461)

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Mon, 14 Oct 2024 11:16:52 -0300

docker-compose-v2 (2.27.1+ds1-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * Refresh patch.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 04 Jun 2024 18:27:26 -0300

docker-compose-v2 (2.24.6+ds1-0ubuntu2) noble; urgency=medium

  * Build with Go 1.22.
    - d/control: b-d on golang-1.22-go instead of golang-1.21-go
    - d/rules: add Go 1.22 to $PATH

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 17 Apr 2024 17:13:40 -0300
