=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper-compat (= 12),
-               golang-1.21-go
+               golang-1.22-go
 Standards-Version: 4.6.2
 Homepage: https://github.com/docker/compose
 Vcs-Git: https://github.com/canonical/docker-compose-v2.git
