## docker-compose-v2 2.37.1%2Bds1

=== debian/watch ===
version=4

opts="repack,repacksuffix=+ds1,compression=xz,dversionmangle=s/\+ds1//,filenamemangle=s%(?:.*?)?v(\d[\d.]*)\.tar\.gz%docker-compose-v2-$1.tar.gz%,oversionmangle=s/(.*)/$1\+ds1/" \
  https://github.com/docker/compose/tags \
  (?:.*?/)?v(\d[\d.]*)\.tar\.gz \
  debian debian/repack-compose-with-vendor.sh
