## docker-compose-v2 2.37.1+ds1

=== debian/changelog ===
docker-compose-v2 (2.37.1+ds1-0ubuntu2~22.04.1) jammy; urgency=medium

  * Backport from questing to jammy (LP: #2112523)
  * d/control: build with golang 1.23
  * d/rules: add golang 1.23 to PATH
  * d/p/toolchain.patch: set go minimum version to 1.23

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Wed, 10 Sep 2025 15:55:15 -0300

docker-compose-v2 (2.37.1+ds1-0ubuntu2) questing; urgency=medium

  [ Renan Rodrigo ]
  * d/control: Provide docker-compose

  [ Athos Ribeiro ]
  * d/control: demote docker.io to recommends (LP: #2079929)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Thu, 14 Aug 2025 09:27:38 -0300

docker-compose-v2 (2.37.1+ds1-0ubuntu1) questing; urgency=medium

  * New upstream version 2.37.1+ds1
  * d/docker-compose-v2.docs: update NOTICE file list
  * d/copyright: update copyright data

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Mon, 16 Jun 2025 15:11:00 -0300
