=== debian/tests/control ===
Tests: basic-smoke
Depends: @, docker.io, curl
Restrictions: isolation-machine needs-root allow-stderr
