## docker-compose-v2 2.40.3+ds1

=== debian/changelog ===
docker-compose-v2 (2.40.3+ds1-0ubuntu1) resolute; urgency=medium

  * New upstream version 2.40.3
  * d/copyright: update copyright data

 -- Athos Ribeiro <athos@ubuntu.com>  Tue, 06 Jan 2026 11:22:58 -0300
